summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-10-15 22:26:20 +0200
committerMichał Górny <mgorny@gentoo.org>2021-10-15 23:07:28 +0200
commit19d15c32410ad62d693b95ffdf33ac2451560ebd (patch)
treea5c86a60d916ed888ba5082f835c7b906b643a59 /dev-python
parent50e00a9743848599c7f2ddc6b39ae5294c297e6d (diff)
downloadgentoo-19d15c32410ad62d693b95ffdf33ac2451560ebd.tar.gz
gentoo-19d15c32410ad62d693b95ffdf33ac2451560ebd.tar.bz2
gentoo-19d15c32410ad62d693b95ffdf33ac2451560ebd.zip
dev-python/boto3: Bump to 1.18.63
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.18.63.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f3a951ab82dd..3d6fe6394394 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.18.53.tar.gz 422176 BLAKE2B a07155f6be71c049479c1d2e47767bb2c686307
DIST boto3-1.18.60.tar.gz 428327 BLAKE2B d559c7512c7ab1160dfec4616741002ce82357d3469747044bf79f90baba5e6e3d2f2ecf32ae4cad7522a341d846d199cf34555376d05d56cdbfccc75d0f9042 SHA512 e013ec97b4379cbd3f21f000974d8078a2710f29a9a7d34532fa06c9011fb566238d38d45abd5ecad5b26ad544f72b86ae191fe475bd0d729d290553cd461ff8
DIST boto3-1.18.61.tar.gz 428681 BLAKE2B 54aa44e4c1756172b5feada7c32a52d32a7938f284ff4ecad9964f74a340ee0cea5bbf1cae189ce90e3a38902398c10af739ec41da895104b10198e63e0d5cb1 SHA512 361e326d003879e81a9de00d469f5b6910c44ec4a4a2109db96b30f46499cdd07e80bd2ba4aeb7be149d9c5a0ead08c1d574369ddc90e31fb564eaab944c6cde
DIST boto3-1.18.62.tar.gz 428868 BLAKE2B cb3d5cf5a0b2a15e5d881ce262d9dede08aa56a99cc2f470befb15063395ca761c8715b1b1e853626ae42d6f136c74dd65fe8abe8f1fdf00dca48ac601f1ce0d SHA512 265707cfd9529fc4300c744dbd17a823b32593b8bd1e26ccde5b6e80d7fea61c60b0d0d5e6f3d6606b3c4870c608283b7adddace2d4975367c7e1e4a1d10e003
+DIST boto3-1.18.63.tar.gz 429243 BLAKE2B 67b61ebe0d5a7c4d83922a3ec110e5d4e33c705e2a38031f218d2e059b1f8d9428d7307f0b5a581a60ef23068793e61cf6597827ffbb2a8714aed1e0716ac361 SHA512 d8f83d9edd730d40063f2cda759ad527d811c3f4bc7a8c450c3d426c7842e35481ae138e53dca2ce6ab4a30d06610f454c31a0d3259d56fe553f5b6d1ad58db7
diff --git a/dev-python/boto3/boto3-1.18.63.ebuild b/dev-python/boto3/boto3-1.18.63.ebuild
new file mode 100644
index 000000000000..450c87d9f8b7
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.63.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}